Loading ...
Sorry, an error occurred while loading the content.

Re: cygwin compile error with Racket Scheme

Expand Messages
  • Sergey Khorev
    Steve, ... Current patchlevel of Vim does not support Racket 5.2.x or 5.3.x. Some two weeks ago I sent a patch that makes it work with all known versions of
    Message 1 of 3 , Nov 29, 2012
    • 0 Attachment
      Steve,

      On Thu, Nov 29, 2012 at 8:28 PM, Steve Hall <digitect@...> wrote:
      > Unable to compile vim via Cygwin with Racket Scheme 5.3.1, produces various
      > errors:

      Current patchlevel of Vim does not support Racket 5.2.x or 5.3.x. Some
      two weeks ago I sent a patch that makes it work with all known
      versions of Racket and MzScheme.

      For Cygwin, you also need to tweak a Racket header (apparently
      Racketeers do no officially support Cygwin to build native Win32 apps
      anymore):

      *** schthread.h.bak Mon Mar 26 19:15:14 2012
      --- schthread.h Fri Nov 30 07:31:32 2012
      ***************
      *** 27,33 ****

      #if defined(MZ_USE_PLACES) || defined(MZ_USE_FUTURES)
      # define USE_THREAD_LOCAL
      ! # if _MSC_VER
      # ifdef _WIN64
      # define THREAD_LOCAL __declspec(thread)
      # define MZ_THREAD_EXTERN extern
      --- 27,33 ----

      #if defined(MZ_USE_PLACES) || defined(MZ_USE_FUTURES)
      # define USE_THREAD_LOCAL
      ! # ifdef WIN32
      # ifdef _WIN64
      # define THREAD_LOCAL __declspec(thread)
      # define MZ_THREAD_EXTERN extern

      --
      You received this message from the "vim_dev" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    • Steve Hall
      Sergey, On Thu, Nov 29, 2012 at 11:46 PM, Sergey Khorev ... various ... Thanks, I ll wait for your patch to become official and
      Message 2 of 3 , Nov 30, 2012
      • 0 Attachment
        Sergey,

        On Thu, Nov 29, 2012 at 11:46 PM, Sergey Khorev <sergey.khorev@...> wrote:
        > On Thu, Nov 29, 2012 at 8:28 PM, Steve Hall <digitect@...> wrote:
        > > Unable to compile vim via Cygwin with Racket Scheme 5.3.1, produces various
        > > errors:
        >
        > Current patchlevel of Vim does not support Racket 5.2.x or 5.3.x.
        > Some two weeks ago I sent a patch that makes it work with all known
        > versions of Racket and MzScheme.

        Thanks, I'll wait for your patch to become official and bookmark your
        Racket header fix for then.

        --
        Steve HallĀ  [ digitect dancingpaper com ]

        --
        You received this message from the "vim_dev" maillist.
        Do not top-post! Type your reply below the text you are replying to.
        For more information, visit http://www.vim.org/maillist.php
      Your message has been successfully submitted and would be delivered to recipients shortly.